# WinStd: winstd::CredFree_delete< _Ty[]> Struct Template Reference

winstd::CredFree_delete< _Ty[]> Struct Template Reference
Credentials API

Deleter for unique_ptr to array of unknown size using CredFree. More...

`#include <WinStd/Cred.h>`

## Public Types

typedef CredFree_delete< _Ty > | _Myt
| This type.

## Public Member Functions

| CredFree_delete ()
| Default construct.
void | operator() (_Ty *_Ptr) const noexcept
| Delete a pointer. More...
template<class _Other >
void | operator() (_Other *) const
| Delete a pointer of another type. More...

## Detailed Description

template<class _Ty>
struct winstd::CredFree_delete< _Ty[]>

Deleter for unique_ptr to array of unknown size using CredFree.

## Member Function Documentation

## operator()() [1/2]

template<class _Ty >
template<class _Other >

void winstd::CredFree_delete< _Ty[]>::operator() | ( | _Other * |  | ) | const

inline

Delete a pointer of another type.

See also
  CredFree function

## operator()() [2/2]

template<class _Ty >

void winstd::CredFree_delete< _Ty[]>::operator() | ( | _Ty * | _Ptr | ) | const

inlinenoexcept

Delete a pointer.

See also
  CredFree function

The documentation for this struct was generated from the following file:

- include/WinStd/Cred.h